﻿using System.Windows;
using System.Windows.Controls;
using ThinkGeo.MapSuite.SilverlightCore;
using ThinkGeo.MapSuite.SilverlightEdition;

namespace DraggableMarker
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void LayoutRoot_Loaded(object sender, RoutedEventArgs e)
        {
            Map1.MapUnit = GeographyUnit.DecimalDegree;

            WorldMapKitWmsSilverlightOverlay baseOverlay = new WorldMapKitWmsSilverlightOverlay();
            Map1.Overlays.Add(baseOverlay);

            DraggableSimpleMarkerOverlay markerOverlay = new DraggableSimpleMarkerOverlay();
            Map1.Overlays.Add("SimpleMarkerOverlay", markerOverlay);

            Marker marker = new Marker(-94.558, 39.078);
            markerOverlay.Markers.Add(marker);

            Map1.CurrentExtent = new RectangleShape(-135.7, 83.6, 113.5, -53);
        }
    }
}
